package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.Connect;
import com.muyu.common.domain.DataName;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：ConnectReqService
 * @Date：2024/8/25 16:14
 */
public interface ConnectService extends IService<Connect> {
    /**
     * 查询配置表
     * @param connect 配置列表请求参数
     * @return 返回试图
     */
    List<Connect> selectConnect(Connect connect);

    /**
     * 通过ID改变初始化状态 将可以被初始化
     * @param id 响应ID
     * @return 返回结果
     */
    boolean updInitDisable(Integer id);

    /**
     * 通过ID改变初始化状态 将不再被初始化
     * @param id 响应ID
     * @return 返回结果
     */
    boolean updInitEnable(Integer id);

    /**
     * 测试接口
     * @param connect 响应ID
     * @return 返回结果
     */
    boolean text(Connect connect);

    /**
     * 测试接口
     * @param dataName 响应名称
     * @return 返回结果
     */
    Connect selectData(String dataName);
}
