package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.Connect;
import com.muyu.server.mapper.OrderConnectMapper;
import com.muyu.server.service.OrderConnectService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-property
 * @name：OrderConnectServiceImpl
 * @Date：2024/8/25 19:03
 */
@Service
public class OrderConnectServiceImpl extends ServiceImpl<OrderConnectMapper, Connect> implements OrderConnectService {
    @Override
    public List<Connect> selectConnectByAppCodeAndLimit(Integer id, int limit) {

        LambdaQueryWrapper<Connect> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Connect::getId,id);
        queryWrapper.orderBy(true,false,Connect::getId);
        queryWrapper.last("limit "+limit);
        return this.list(queryWrapper);
    }
}
