package com.muyu.server.service.impl;

import com.alibaba.druid.pool.DruidDataSource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.TableNames;
import com.muyu.server.mapper.TableRunNameMapper;
import com.muyu.server.service.TableRunNameService;
import com.muyu.server.util.JdbcHelper;
import org.springframework.stereotype.Service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：TableRunNameServiceImpl
 * @Date：2024/8/27 20:50
 */
@Service
public class TableRunNameServiceImpl
        extends ServiceImpl<TableRunNameMapper,TableNames>
        implements TableRunNameService {

    /**
     * 获取数据库表名
     * @return 返回试图
     */
    @Override
    public List<TableNames> extractTableName(String name) {

        String sql = null;
        DruidDataSource druidDataSource = JdbcHelper.getDataConnRs(name);
        sql = "SHOW tables;";
        try (Connection conn = druidDataSource.getConnection()) {
            // 在这里执行你的数据库操作
            PreparedStatement preparedStatement = conn.prepareStatement(sql);
            ResultSet rs = preparedStatement.executeQuery();
            ArrayList<TableNames> list = new ArrayList<>();
            while (rs.next()) {
                String tables = rs.getString("Tables_in_"+name);
                list.add(new TableNames(tables,0));
            }
            JdbcHelper.close(conn,preparedStatement,rs);

            return list;
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return null;
    }

}
